Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class DocumentProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.DocumentProperty

public class DocumentProperty
extends ObjectProperty

An enumerated type used to describe the inherent properties of Documents in the Knowledge Directory.

Field Summary
`static DocumentProperty` | `AccessCount` The number of times the document has been accessed.
`static DocumentProperty` | `ContentLanguage` The primary language of the document.
`static DocumentProperty` | `CrawlerID` The ID of the crawler used to submit this document.
`static DocumentProperty` | `DatasourceID` The ID of the data source used to retrieve this document.
`static DocumentProperty` | `DocumentTypeID` The ID of the document type.
`static DocumentProperty` | `LastAccess` The last time the document was accessed.
`static DocumentProperty` | `NumParents` The number of folders containing this document.
`static DocumentProperty` | `ParentFolderID` The ID of the folder containing the document.
`static DocumentProperty` | `Popularity` The popularity of the document.
`static DocumentProperty` | `URL` The URL through which to retrieve the document.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Method Summary
`int` | `intValue()` Returns the int value of the DocumentProperty.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL

    public static final DocumentProperty URL

  The URL through which to retrieve the document.

### NumParents

    public static final DocumentProperty NumParents

  The number of folders containing this document.

### DatasourceID

    public static final DocumentProperty DatasourceID

  The ID of the data source used to retrieve this document.

### CrawlerID

    public static final DocumentProperty CrawlerID

  The ID of the crawler used to submit this document.

### DocumentTypeID

    public static final DocumentProperty DocumentTypeID

  The ID of the document type.

### ContentLanguage

    public static final DocumentProperty ContentLanguage

  The primary language of the document.

### ParentFolderID

    public static final DocumentProperty ParentFolderID

  The ID of the folder containing the document.

### Popularity

    public static final DocumentProperty Popularity

  The popularity of the document. This is primarily based on access count but also takes into account a sampling rate.

### AccessCount

    public static final DocumentProperty AccessCount

  The number of times the document has been accessed.

### LastAccess

    public static final DocumentProperty LastAccess

  The last time the document was accessed.

Method Detail

### intValue

    public int intValue()

  Returns the int value of the DocumentProperty. This can then be used in `IDocumentProperties.getValue`.

  Returns:
    int value of the DocumentProperty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.